


TICKER (c) 1992 Management Systems Group
----------------------------------------

Ticker is a program we have written to provide you with a diversion from 
the hum-drum work you should be doing on your PC.  Please help us help 
you avoid doing real work by sending a $15 donation to the following 
address if you use and enjoy Ticker: 

                      Management Systems Group
                      P.O. Box 768
                      Havertown, PA  19083
                      (215) 446-9083

Currently, full databases are available for each of the categories in the 
sampler database.  Other databases have probably also been added since 
this writing.  Databases are available to registered users for $5.00 plus 
$1.00 shipping and handling (specify disk format, please).

A list of available databases can be obtained by sending a self-
addressed, stamped envelope to the above address. 


*************************** INTRODUCTION ****************************

Ticker displays, either continuously or on command, short text items, 
selected from a database.  These short text items can be jokes, sayings, 
trivia, messages, or anything else.  All items in a database are 
categorized and databases can be restricted so that only items from 
selected categories will be displayed.  This packaged version of Ticker 
comes with one database, the Sampler database, but other databases are 
also available.

The final section of this manual, ROLLING YOUR OWN, describes how to use 
the TICKPACK utility to generate your own databases. 



************************ INSTALLING TICKER **************************

There are two versions of Ticker, one for DOS and one for Windows.  Both 
of these programs should be installed in the same directory, so simply
create a directory (for example MD C:\TICKER) and copy all of these files 
into it.  If you only plan to use the DOS version of Ticker, you are 
done, and can go on to the USING DOS TICKER section. 

To install Ticker into Windows, start up Windows.  Click one time in the 
program group you in which you wish Ticker to be placed, and select New 
from the File menu, indicating that you wish you add a new item.  Type in 
"Ticker" for Program Description then click on the "Browse..." option.  
Find the Ticker directory you created, and double-click on "wintick.exe".  
Then click on OK to return to the previous box, and click on OK in that 
box also.  (Instead of using "Browse...", you can just type WINTICK.EXE 
preceded by its full path in the "Command Line" field and, for users of 
Windows 3.1, aldo in the "Working Directory" field.  For example, if you 
installed Ticker in the default c:\ticker directory, you would type 
"c:\ticker\wintick.exe" in those fields.) 

If you installed Ticker properly, the circular Ticker icon will appear in 
your specified group.  You may run it by double-clicking the icon.  The 
on-line help facility should be able to guide you through learning how to 
use Ticker. 



*************** USING THE DOS VERSION OF TICKER *************** 

The first time Ticker is run, it will immediately prompt you to select a 
database and setup options.  Thereafter, the previous options will be 
restored whenever the program is run.  Ticker will then continue running
until you press "q" for "quit".  (Note: if you run Ticker with a "/Q"
parameter [TICKER /Q], then it will display one text item and return
immediately to DOS.


Selecting a Database
--------------------

The first time Ticker is run, the database form will be brought up 
automatically.  Thereafter, you must press 'd' while Ticker is running to 
change databases.  Use the up and down arrow keys, move the cursor until 
the title of the database you wish to load is highlighted, then press 
ENTER.  If you wish to exit the form without selecting a new database, 
press ESC. 


Changing Options
----------------

This form will also be called automatically the first time Ticker is run, 
immediately after a database is selected.  Thereafter, you must press 'o' 
while ticker is running to change these options.  Enter all relevant 
options and then press F10 (or ENTER from the last field) to accept your 
entries and leave the form.  Press ESC to cancel any changes you have 
made.  Following are explanations of each option.

Auto Advance Mode:  Enter 'Y' to have ticker advance the database 
                    automatically or 'N' to require the user to press
                    ENTER or 'j' (for Jump) to display subsequent
                    text items.

Seconds to Wait:    The number of seconds to wait before advancing the 
                    database.  Only meaningful when Auto Advance Mode is 
                    ON (i.e. 'Y'). 

Maximum Width:      This sets the width of the Ticker window in 
                    characters, where 78 characters is the maximum. 

Maximum Height:     This sets the height of the Ticker window in 
                    characters. 

Direction:          Enter 'F' for Ticker to traverse the database's text
                    items in forward order.  Enter 'B' for backward
                    (reverse) order.




Active Categories
-----------------

This form will also be called automatically the first time Ticker is run, 
immediately after options are set.  Thereafter, you must press 'c'.
The text items in the database are grouped into categories, such as 
"Jokes", "Trivia", etc.  Use this Categories form to configure Ticker so
that only entries from certain categories are displayed.  Press 'Y' for 
each category that you wish to be active and type 'N' for each that you
wish to be inactive.

Leave the categories form by pressing F10 (or ENTER from the last field).
Pressing ESC cancels any changes you have made. 


Key Commands While Ticker is Active
-----------------------------------

ENTER, 'j'                      jumps to the next database entry
'a'                             displays "About Database" information
'q'                             quits Ticker
'h'                             displays help
'd'                             displays the database form
'o'                             displays the options form
'c'                             displays the categories form




********************** ROLLING YOUR OWN ******************************** 

You can generate a .TCK Ticker database file by typing in a simple ASCII 
text file (using the below format) and then running the included 
TICKPACK.EXE program against it. When you have typed in your text, create 
your database file by typing 

                        TICKPACK  yourfile.txt

TICKPACK will create a file called yourfile.tck, which will be a valid 
database file.  If there are any errors in your text file, TICKPACK will 
indicate as such and not create the .TCK file.  .TCK files should be
48K (49152) bytes or less.


Tickpack Text File Format
-------------------------

The '\' (backslash) character is the delimiter character.  All text must 
be preceded by a command defining what type of text it is.  Commands 
should be typed on lines by themselves.  The commands are as follows.

 \COMMENT\    : all text following this until the next command is ignored 
 \TITLE\      : title of database (one line or up to 30 characters)
 \ABOUT\      : information to be displayed when the user chooses "About"
                from the Ticker program (5 lines of up to 40 characters
                each)
 \CATEGORIES\ : category names.  Each category should be on a separate
                line and up to 30 characters each.
 \TEXT\       : This indicates that all text items will follow.  Within
                this section, precede all text items by the category name
                or number within backslashes.  Categories are numbered
                starting at 0 using the order you typed them in in the
                \CATEGORIES\ section.

You should randomize entries of different categories within your text 
file because Ticker reads the database sequentially, and one would 
generally not want text items of all one category to appear before any of 
the next category begin.

Following is an example of a valid text file.




\TITLE\
My Database
\ABOUT\
If you find this database engaging, a
$5.00 payment would be appreciated.
  Management Systems Group * 215-446-9083
P.O. Box 763 * Havertown, PA 19083
New databases available upon request.
\CATEGORIES\
Happy Jokes
Sad Jokes
Mean Jokes
Dumb Jokes
\TEXT\
\0\
This is my first happy joke. 
This is the punch line.
\1\
This is my first sad joke. 
This is the punch line.
\3\
This is my first dumb joke.
This is the punch line.
\2\
This is my first mean joke.
This is the punch line.
\1\
This is another sad joke.
This is its punch line.
\Mean Jokes\
This is another mean joke.  Note that you do not have to use numbers.
This is the punch line.


